import socket


class TCPEventHandler:
    def __init__(self, socket:socket):
        self.tcp_socket = socket

    def handleEvents(self, event):
        pass

class UDPEventHandler:
    def __init__(self, socket:socket):
        self.udp_socket = socket

    def handleEvents(self, event):
        if event["event"] == "PlaceCard":
            pass
        elif event["event"] == "MoveCard":
            pass
        elif event["event"] == "RemoveCard":
            pass
        elif event["event"] == "AttackCard":
            pass
        elif event["event"] == "AttackPlayer":
            pass
        elif event["event"] == "ActivateEffectCard":
            pass
        elif event["event"] == "ActivateMonsterCard":
            pass